Jump to content

Check out the Lincoln Aviator Community Here.





Sign in to follow this  
cafpaf

Latest version of SYNC

Recommended Posts

My vehicle currently has Sync Version 3.0.  I just had a 2020 Nautilus  loaner and it had version 3.4.  Should we be updating to this version or is it just for the 2020 Nautilus.  the Owner's site has version 3.0 available.  Any help would be appreciated.  Thanks. 

Share this post


Link to post
Share on other sites

I think 3.4 is only for later model years.

Share this post


Link to post
Share on other sites

My random browsing of other FOMOCO forums, Google, automotive media, etc. appears to put up an abundance of warnings & caveats related to updating 3.0 with 3.4. Even some highly tech geek websites include cautions (in red) to performing the installation. 

Share this post


Link to post
Share on other sites
39 minutes ago, Cosmos36 said:

My random browsing of other FOMOCO forums, Google, automotive media, etc. appears to put up an abundance of warnings & caveats related to updating 3.0 with 3.4. Even some highly tech geek websites include cautions (in red) to performing the installation. 

 

I don't think Lincoln supports the upgrade so it would have to be a bootleg installation which is always risky.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×